BE-FE/iSlider 软件分析报告

基础信息

项目名称:BE-FE/iSlider

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1716275568495607808/1716275568579493888

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
Joyent Node.js is-my-json-valid 拒绝服务漏洞 拒绝服务 MPS-2016-1001 CVE-2016-2537 高危
web framework qs模块输入验证漏洞 输入验证不恰当 MPS-2017-7711 CVE-2017-1000048 高危
brace-expansion 安全漏洞 拒绝服务 MPS-2018-1167 CVE-2017-18077 高危
Growl 安全漏洞 OS命令注入 MPS-2018-7026 CVE-2017-16042 严重
parsejson模块安全漏洞 拒绝服务 MPS-2018-7186 CVE-2017-16113 高危
debug 模块拒绝服务漏洞 拒绝服务 MPS-2018-7210 CVE-2017-16137 中危
mime模块拒绝服务漏洞 拒绝服务 MPS-2018-7211 CVE-2017-16138 高危
lodash node 拒绝服务漏洞 拒绝服务 MPS-2018-7315 CVE-2018-3721 中危
deap node模块安全漏洞 原型污染 MPS-2018-8704 CVE-2018-3749 严重
Joyent Node.js macaddress模块命令注入漏洞 OS命令注入 MPS-2018-9416 CVE-2018-13797 严重
mixin-deep 参数注入漏洞 参数注入或修改 MPS-2019-10507 CVE-2019-10746 严重
set-value 存在拒绝服务漏洞 拒绝服务 MPS-2019-10508 CVE-2019-10747 中危
lodash 存在拒绝服务漏洞 拒绝服务 MPS-2019-1228 CVE-2018-16487 中危
extend module [*, 2.0.2)、[3.0.0, 3.0.2) 原型污染漏洞 注入 MPS-2019-1232 CVE-2018-16492 严重
handlebars 原型污染漏洞 原型污染 MPS-2019-16888 CVE-2019-19919 严重
lodash 不加限制或调节的资源分配 MPS-2019-8123 CVE-2019-1010266 中危
lodash 原型污染漏洞 拒绝服务 MPS-2019-8636 CVE-2019-10744 严重
handlebars 代码注入漏洞 代码注入 MPS-2020-13732 CVE-2019-20920 高危
handlebars 安全漏洞 不可达退出条件的循环(无限循环) MPS-2020-13734 CVE-2019-20922 高危
lodash 原型污染 MPS-2020-15679 CVE-2020-8203 高危
Ini 拒绝服务 MPS-2020-17544 CVE-2020-7788 高危
minimist 原型污染漏洞 原型污染 MPS-2020-3516 CVE-2020-7598 中危
websocket-extensions 拒绝服务 MPS-2020-8041 CVE-2020-7662 高危
websocket-extensions 拒绝服务漏洞 拒绝服务 MPS-2020-8042 CVE-2020-7663 高危
Socketio Engineio 资源管理错误漏洞 拒绝服务 MPS-2021-0191 CVE-2020-36048 高危
Socketio Engineio 资源管理错误漏洞 拒绝服务 MPS-2021-0192 CVE-2020-36049 高危
Socketio Socket.io CORS漏洞 源验证错误 MPS-2021-0652 CVE-2020-28481 中危
set-value 原型污染漏洞 使用不兼容类型访问资源(类型混淆) MPS-2021-19479 CVE-2021-23440 严重
UIkarma 打开重定向漏洞 跨站重定向 MPS-2021-19534 CVE-2021-23495 中危
jsonpointer 使用不兼容类型访问资源(类型混淆) MPS-2021-19846 CVE-2021-23807 严重
requests 代码注入漏洞 代码注入 MPS-2021-2418 CVE-2020-28502 高危
lodash 拒绝服务漏洞 拒绝服务 MPS-2021-2574 CVE-2020-28500 中危
lodash 命令注入漏洞 代码注入 MPS-2021-2638 CVE-2021-23337 高危
Sindre Sorhus is-svg 拒绝服务漏洞 拒绝服务 MPS-2021-3031 CVE-2021-28092 高危
Ruy Adorno hosted-git-info 正则表达式拒绝服务漏洞 拒绝服务 MPS-2021-3400 CVE-2021-23362 中危
Npm is-my-json-valid 资源管理错误漏洞 拒绝服务 MPS-2021-3563 CVE-2018-1107 中危
org.webjars.bower:underscore 代码注入漏洞 代码注入 MPS-2021-3658 CVE-2021-23358 高危
braces 拒绝服务 MPS-2021-3692 CVE-2018-1109 中危
log4js-node 存在信息泄露漏洞 缺省权限不正确 MPS-2021-37062 CVE-2022-21704 中危
minimist 安全漏洞 原型污染 MPS-2021-38405 CVE-2021-44906 严重
handlebars 远程代码执行 (RCE) 漏洞 代码注入 MPS-2021-4548 CVE-2021-23369 严重
Dan DeFelippi node-XMLHttpRequest 信任管理问题漏洞 证书验证不恰当 MPS-2021-5338 CVE-2021-31597 严重
postcss 存在正则表达式拒绝服务漏洞 拒绝服务 MPS-2021-5409 CVE-2021-23382 中危
npm path-parse 安全漏洞 拒绝服务 MPS-2021-6165 CVE-2021-23343 高危
handlebars 原型污染 MPS-2021-6180 CVE-2021-23383 严重
ws 存在拒绝服务漏洞 拒绝服务 MPS-2021-7109 CVE-2021-32640 中危
trim-newlines 存在拒绝服务漏洞 拒绝服务 MPS-2021-7398 CVE-2021-33623 高危
glob-parent 拒绝服务 MPS-2021-7827 CVE-2020-28469 高危
Color-String 拒绝服务 MPS-2021-8683 CVE-2021-29060 中危
is-svg 存在正则表达式拒绝服务漏洞 拒绝服务 MPS-2021-8684 CVE-2021-29059 高危
shelljs 权限管理不当 MPS-2022-0508 CVE-2022-0144 高危
clean-css 拒绝服务 MPS-2022-12865 低危
eslint 存在拒绝服务漏洞 拒绝服务 MPS-2022-12908 低危
useragent 存在拒绝服务漏洞 拒绝服务 MPS-2022-13122 中危
ws 存在拒绝服务漏洞 拒绝服务 MPS-2022-13147 高危
handlebars 存在原型污染漏洞 MAID MPS-2022-13730 高危
handlebars 存在原型污染漏洞 MAID MPS-2022-13731 高危
handlebars 存在拒绝服务漏洞 拒绝服务 MPS-2022-13732 高危
handlebars 存在代码注入漏洞 代码注入 MPS-2022-13733 高危
handlebars 存在拒绝服务漏洞 拒绝服务 MPS-2022-13734 严重
handlebars 拒绝服务 MPS-2022-13735 中危
http-proxy 拒绝服务 MPS-2022-13767 中危
is-my-json-valid 存在拒绝服务漏洞 拒绝服务 MPS-2022-13795 高危
is-my-json-valid 代码注入 MPS-2022-13796 高危
jsonpointer 拒绝服务 MPS-2022-13815 严重
js-yaml 存在拒绝服务漏洞 拒绝服务 MPS-2022-13820 中危
js-yaml 代码注入 MPS-2022-13822 高危
lodash 拒绝服务 MPS-2022-13841 高危
lodash 拒绝服务 MPS-2022-13842 高危
macaddress 路径遍历 MPS-2022-13851 中危
mocha 不正确的正则表达式 MPS-2022-13886 中危
uglify-js ReDoS MPS-2022-14112 中危
uuid 使用不充分的随机数 MPS-2022-15362 中危
Karma 跨站脚本漏洞 XSS MPS-2022-2997 CVE-2022-0437 中危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
loader-utils 安全漏洞 不正确的正则表达式 MPS-2022-53512 CVE-2022-37599 高危
loader-utils 安全漏洞 不正确的正则表达式 MPS-2022-53516 CVE-2022-37603 高危
mocha ReDoS 漏洞 ReDoS MPS-2022-54598 高危
decode-uri-component 拒绝服务 MPS-2022-56259 CVE-2022-38900 高危
Socketio Engine.IO拒绝服务漏洞 未捕获的异常 MPS-2022-58577 CVE-2022-41940 中危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
Tauri 原型污染漏洞 原型污染 MPS-2022-65568 CVE-2022-46175 高危
vercel ms 安全漏洞 ReDoS MPS-2023-0304 CVE-2017-20162 中危
debug 安全漏洞 ReDoS MPS-2023-0646 CVE-2017-20165 高危
fsevents 安全漏洞 代码注入 MPS-2ipy-muq0 CVE-2023-45311 严重
NPM 组件包 fs 存在恶意行为 内嵌恶意代码 MPS-ar0j-9m3u 高危
PostCSS 安全漏洞 注入 MPS-y3tx-jzms CVE-2023-44270 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
fs 0.0.2 直接依赖 强烈建议修复
xmlhttprequest-ssl 1.5.3 1.6.2 间接依赖 强烈建议修复
growl 1.9.2 1.10.0 间接依赖 强烈建议修复
brace-expansion 1.1.6 1.1.7 间接依赖 建议修复
mocha 2.5.3 6.0.0 直接依赖 建议修复
glob-parent 2.0.0 6.0.1 间接依赖 建议修复
trim-newlines 1.0.0 4.0.1 间接依赖 建议修复
extend 3.0.0 3.0.2 间接依赖 建议修复
websocket-extensions 0.1.1 0.1.4 间接依赖 建议修复
deap 1.0.0 1.0.1 间接依赖 建议修复
handlebars 4.0.6 4.7.7 间接依赖 建议修复
is-svg 2.1.0 4.3.0 间接依赖 建议修复
ini 1.3.4 1.3.6 间接依赖 建议修复
minimatch 3.0.3 3.0.5 间接依赖 建议修复
minimist 0.0.8 1.2.6 间接依赖 建议修复
json5 0.5.1 2.2.2 间接依赖 建议修复
mixin-deep 1.3.1 2.0.1 间接依赖 建议修复
mime 1.3.4 2.0.3 间接依赖 建议修复
parsejson 0.0.3 间接依赖 建议修复
engine.io 1.8.3 6.4.2 间接依赖 建议修复
macaddress 0.2.8 0.4.3 间接依赖 建议修复
decode-uri-component 0.2.0 0.2.1 间接依赖 建议修复
underscore 1.8.3 1.13.0-2 间接依赖 建议修复
ws 1.1.2 7.4.6 间接依赖 建议修复
socket.io-parser 2.3.1 4.2.3 间接依赖 建议修复
lodash 3.10.1 4.17.21 间接依赖 建议修复
path-parse 1.0.5 1.0.7 间接依赖 建议修复
is-my-json-valid 2.16.0 2.20.3 间接依赖 建议修复
jsonpointer 4.0.1 5.0.0 间接依赖 建议修复
set-value 2.0.0 4.0.1 间接依赖 建议修复
debug 2.6.3 3.1.0 间接依赖 建议修复
js-yaml 3.7.0 3.13.1 间接依赖 建议修复
loader-utils 0.2.17 3.2.1 间接依赖 建议修复
shelljs 0.5.3 0.8.5 间接依赖 建议修复
lodash.merge 3.3.2 4.6.2 间接依赖 可选修复
eslint 1.10.3 4.18.2 直接依赖 可选修复
qs 2.2.5 6.10.3 间接依赖 可选修复
karma 0.13.22 6.3.16 直接依赖 可选修复
http-proxy 1.16.2 1.18.1 间接依赖 可选修复
postcss 5.2.16 8.4.31 间接依赖 可选修复
ms 0.7.2 2.0.0 间接依赖 可选修复
lodash.template 3.6.2 间接依赖 可选修复
uglify-js 2.8.13 3.14.3 间接依赖 可选修复
log4js 0.6.38 6.4.0 间接依赖 可选修复
clean-css 3.4.25 4.1.11 间接依赖 可选修复
semver 4.3.6 7.5.2 间接依赖 可选修复
socket.io 1.7.3 2.4.0 间接依赖 可选修复
fsevents 1.1.1 1.2.11 间接依赖 可选修复
hosted-git-info 2.3.1 3.0.8 间接依赖 可选修复
useragent 2.1.12 2.1.13 间接依赖 可选修复
color-string 0.3.0 1.5.5 间接依赖 可选修复
braces 1.8.5 2.3.1 间接依赖 可选修复
uuid 1.4.2 2.0.2 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 556
BSD-3-Clause 8
ISC 31
Unlicense 1
Apache-2.0 5
MIT License 1
Public Domain 1
BSD 4
CC-BY-4.0 1
BSD-2-Clause 8

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
gulp-util 3.0.8 间接依赖 npm
shelljs 0.5.3 间接依赖 npm
emojis-list 2.1.0 间接依赖 npm
postcss-ordered-values 2.2.3 间接依赖 npm
kind-of 3.1.0 间接依赖 npm
strip-indent 1.0.1 间接依赖 npm
nopt 3.0.6 间接依赖 npm
inflight 1.0.6 间接依赖 npm
async 1.5.2 间接依赖 npm
has-values 1.0.0 间接依赖 npm
postcss-svgo 2.1.6 间接依赖 npm
nanomatch 1.2.13 直接依赖 npm
snapdragon-util 3.0.1 间接依赖 npm
negotiator 0.6.1 间接依赖 npm
split-string 3.1.0 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
style-loader 0.13.2 直接依赖 npm
uglify-to-browserify 1.0.2 间接依赖 npm
normalize-url 1.9.1 间接依赖 npm
defaults 1.0.3 间接依赖 npm
pinkie-promise 2.0.1 间接依赖 npm
decode-uri-component 0.2.0 间接依赖 npm
es6-weak-map 2.0.2 间接依赖 npm
arr-union 3.1.0 间接依赖 npm
lodash.isobject 2.4.1 直接依赖 npm
css-loader 0.24.0 直接依赖 npm
webpack 1.14.0 直接依赖 npm
cli-width 1.1.1 间接依赖 npm
map-stream 0.0.4 间接依赖 npm
lodash._baseindexof 3.1.0 间接依赖 npm
socket.io-adapter 0.5.0 间接依赖 npm
lodash.merge 3.3.2 间接依赖 npm
has 1.0.1 间接依赖 npm
sha.js 2.2.6 间接依赖 npm
di 0.0.1 间接依赖 npm
colormin 1.1.2 间接依赖 npm
commander 2.8.1 间接依赖 npm
expand-range 1.8.2 间接依赖 npm
lazy-cache 1.0.4 间接依赖 npm
postcss-filter-plugins 2.0.2 间接依赖 npm
spdx-license-ids 1.2.2 间接依赖 npm
uniq 1.0.1 间接依赖 npm
array-find-index 1.0.2 间接依赖 npm
postcss-merge-idents 2.1.7 间接依赖 npm
lodash._pickbyarray 3.0.2 间接依赖 npm
console-browserify 1.1.0 间接依赖 npm
fs-access 1.0.1 间接依赖 npm
raw-body 2.1.7 间接依赖 npm
base64-js 1.2.0 间接依赖 npm
resolve-url 0.2.1 间接依赖 npm
clone 1.0.2 间接依赖 npm
assign-symbols 1.0.0 间接依赖 npm
postcss-zindex 2.2.0 间接依赖 npm
meow 3.7.0 直接依赖 npm
querystring 0.2.0 间接依赖 npm
json3 3.3.2 间接依赖 npm
to-regex-range 2.1.1 直接依赖 npm
uglify-save-license 0.4.1 间接依赖 npm
alphanum-sort 1.0.2 间接依赖 npm
flatten 1.0.2 间接依赖 npm
number-is-nan 1.0.1 间接依赖 npm
socket.io-parser 2.3.1 间接依赖 npm
xmlhttprequest-ssl 1.5.3 间接依赖 npm
builtin-modules 1.1.1 间接依赖 npm
deprecated 0.0.1 间接依赖 npm
lodash._arraymap 3.0.0 间接依赖 npm
brace-expansion 1.1.6 间接依赖 npm
postcss-reduce-transforms 1.0.4 间接依赖 npm
clone-stats 0.0.1 间接依赖 npm
url 0.11.0 间接依赖 npm
validate-npm-package-license 3.0.1 间接依赖 npm
xml-escape 1.0.0 间接依赖 npm
coa 1.0.1 间接依赖 npm
mini-lr 0.1.9 间接依赖 npm
is-builtin-module 1.0.0 间接依赖 npm
pify 2.3.0 间接依赖 npm
connect 3.6.0 间接依赖 npm
fragment-cache 0.2.1 间接依赖 npm
decamelize 1.2.0 间接依赖 npm
prepend-http 1.0.4 间接依赖 npm
path-root-regex 0.1.2 间接依赖 npm
levn 0.2.5 间接依赖 npm
deep-is 0.1.3 间接依赖 npm
indent-string 2.1.0 间接依赖 npm
yeast 0.1.2 间接依赖 npm
normalize-path 2.0.1 间接依赖 npm
lodash.deburr 3.2.0 间接依赖 npm
typedarray 0.0.6 间接依赖 npm
for-own 0.1.5 间接依赖 npm
eslint 1.10.3 直接依赖 npm
fs-exists-sync 0.1.0 间接依赖 npm
batch 0.5.3 间接依赖 npm
path-is-inside 1.0.2 间接依赖 npm
regenerate 1.3.2 间接依赖 npm
ws 1.1.2 间接依赖 npm
gulp 3.9.1 直接依赖 npm
lodash._baseflatten 3.1.4 间接依赖 npm
atob 2.1.1 间接依赖 npm
lodash.omit 3.1.0 间接依赖 npm
gaze 0.5.2 间接依赖 npm
http-proxy 1.16.2 间接依赖 npm
karma-coverage 0.5.5 直接依赖 npm
find-up 1.1.2 间接依赖 npm
rx-lite 3.1.2 间接依赖 npm
stream-http 2.6.3 间接依赖 npm
fill-range 2.2.3 间接依赖 npm
unset-value 1.0.0 间接依赖 npm
sequencify 0.0.7 间接依赖 npm
to-object-path 0.3.0 间接依赖 npm
postcss-reduce-initial 1.0.1 间接依赖 npm
lodash._root 3.0.1 间接依赖 npm
postcss-discard-comments 2.0.4 间接依赖 npm
ordered-read-streams 0.1.0 间接依赖 npm
postcss-discard-overridden 0.1.1 间接依赖 npm
svgo 0.7.2 间接依赖 npm
has-binary 0.1.7 间接依赖 npm
homedir-polyfill 1.0.1 间接依赖 npm
supports-color 2.0.0 间接依赖 npm
source-map 0.5.6 间接依赖 npm
lodash._pickbycallback 3.0.0 间接依赖 npm
postcss-calc 5.3.1 间接依赖 npm
path-root 0.1.1 间接依赖 npm
lodash._reinterpolate 3.0.0 间接依赖 npm
is-absolute 1.0.0 间接依赖 npm
es6-map 0.1.5 间接依赖 npm
browserify-zlib 0.1.4 间接依赖 npm
pause-stream 0.0.11 间接依赖 npm
date-now 0.1.4 间接依赖 npm
randomatic 1.1.6 间接依赖 npm
postcss-value-parser 3.3.0 间接依赖 npm
util 0.10.3 间接依赖 npm
is-my-json-valid 2.16.0 间接依赖 npm
camelcase 1.2.1 间接依赖 npm
lodash._objecttypes 2.4.1 间接依赖 npm
autoprefixer 6.7.7 间接依赖 npm
source-map-url 0.4.0 间接依赖 npm
gulp-livereload 3.8.1 直接依赖 npm
wrappy 1.0.2 间接依赖 npm
lodash._bindcallback 3.0.1 间接依赖 npm
has-ansi 2.0.0 间接依赖 npm
is-utf8 0.2.1 间接依赖 npm
has-flag 1.0.0 直接依赖 npm
graceful-readlink 1.0.1 间接依赖 npm
sprintf-js 1.0.3 间接依赖 npm
glob-parent 2.0.0 间接依赖 npm
define-property 2.0.2 间接依赖 npm
load-json-file 1.1.0 间接依赖 npm
options 0.0.6 间接依赖 npm
fs.realpath 1.0.0 直接依赖 npm
parsejson 0.0.3 间接依赖 npm
tempfile 0.1.3 间接依赖 npm
is-resolvable 1.0.0 间接依赖 npm
component-emitter 1.1.2 间接依赖 npm
stream-consume 0.1.1 间接依赖 npm
karma 0.13.22 直接依赖 npm
socket.io-client 1.7.3 间接依赖 npm
repeat-element 1.1.2 间接依赖 npm
inherits 2.0.3 间接依赖 npm
is-svg 2.1.0 间接依赖 npm
mime-db 1.26.0 间接依赖 npm
expand-brackets 0.1.5 间接依赖 npm
array-union 1.0.2 间接依赖 npm
ansi-escapes 1.4.0 间接依赖 npm
buffer-shims 1.0.0 间接依赖 npm
glob-base 0.3.0 间接依赖 npm
type-check 0.3.2 间接依赖 npm
es6-set 0.1.5 间接依赖 npm
cache-base 1.0.1 间接依赖 npm
lodash._baseassign 3.2.0 间接依赖 npm
is-number 2.1.0 间接依赖 npm
handlebars 4.0.6 间接依赖 npm
source-list-map 0.1.8 间接依赖 npm
lodash._basecopy 3.0.1 间接依赖 npm
is-path-in-cwd 1.0.0 间接依赖 npm
ee-first 1.1.1 间接依赖 npm
memory-fs 0.3.0 间接依赖 npm
pako 0.2.9 间接依赖 npm
lodash.templatesettings 3.1.1 间接依赖 npm
doctrine 0.7.2 间接依赖 npm
temp-write 0.1.1 间接依赖 npm
pretty-hrtime 1.0.3 间接依赖 npm
lodash._htmlescapes 2.4.1 间接依赖 npm
fancy-log 1.3.0 间接依赖 npm
glob-watcher 0.0.6 间接依赖 npm
core-js 2.4.1 间接依赖 npm
type-is 1.6.14 间接依赖 npm
resolve-dir 0.1.1 间接依赖 npm
json-config-reader 2.0.1 直接依赖 npm
snapdragon-node 2.1.1 直接依赖 npm
depd 1.1.0 间接依赖 npm
lodash.assign 3.2.0 间接依赖 npm
trim-newlines 1.0.0 间接依赖 npm
better-assert 1.0.2 间接依赖 npm
postcss-selector-parser 2.2.3 间接依赖 npm
jsonify 0.0.0 间接依赖 npm
generate-function 2.0.0 间接依赖 npm
unpipe 1.0.0 间接依赖 npm
lodash 3.10.1 间接依赖 npm
parseurl 1.3.1 间接依赖 npm
read-pkg-up 1.0.1 间接依赖 npm
icss-replace-symbols 1.0.2 间接依赖 npm
regjsgen 0.2.0 间接依赖 npm
color-convert 1.9.0 间接依赖 npm
dom-serialize 2.2.1 间接依赖 npm
get-stdin 4.0.1 间接依赖 npm
duplexer 0.1.1 间接依赖 npm
lodash.uniq 4.5.0 间接依赖 npm
defined 1.0.0 间接依赖 npm
read-pkg 1.1.0 间接依赖 npm
iconv-lite 0.4.13 间接依赖 npm
gulp-clean 0.3.2 直接依赖 npm
stream-combiner 0.0.4 间接依赖 npm
duplexer2 0.0.2 间接依赖 npm
loud-rejection 1.6.0 间接依赖 npm
extend-shallow 3.0.2 间接依赖 npm
timers-browserify 2.0.2 间接依赖 npm
globule 0.1.0 间接依赖 npm
postcss-convert-values 2.6.1 间接依赖 npm
errno 0.1.4 间接依赖 npm
object.map 1.0.1 间接依赖 npm
readdirp 2.1.0 间接依赖 npm
gulp-rename 1.2.2 间接依赖 npm
is-binary-path 1.0.1 间接依赖 npm
lodash.words 3.2.0 间接依赖 npm
set-immediate-shim 1.0.1 间接依赖 npm
rimraf 2.6.1 间接依赖 npm
acorn 3.3.0 间接依赖 npm
is-posix-bracket 0.1.1 间接依赖 npm
array-differ 1.0.0 间接依赖 npm
prr 0.0.0 间接依赖 npm
arrify 1.0.1 间接依赖 npm
null-check 1.0.0 间接依赖 npm
stream-browserify 2.0.1 间接依赖 npm
is-path-cwd 1.0.0 间接依赖 npm
is-data-descriptor 0.1.4 间接依赖 npm
eventemitter3 1.2.0 间接依赖 npm
escape-html 1.0.3 间接依赖 npm
natives 1.1.4 直接依赖 npm
function-bind 1.1.0 间接依赖 npm
vinyl-sourcemaps-apply 0.2.1 间接依赖 npm
chalk 1.1.3 间接依赖 npm
postcss-normalize-url 3.0.8 间接依赖 npm
v8flags 2.1.1 间接依赖 npm
os-browserify 0.2.1 间接依赖 npm
ansi-regex 2.1.1 间接依赖 npm
map-cache 0.2.2 间接依赖 npm
is-finite 1.0.2 间接依赖 npm
circular-json 0.3.1 间接依赖 npm
class-utils 0.3.6 间接依赖 npm
indexof 0.0.1 间接依赖 npm
ieee754 1.1.8 间接依赖 npm
map-visit 1.0.0 间接依赖 npm
hosted-git-info 2.3.1 间接依赖 npm
d 1.0.0 间接依赖 npm
query-string 4.3.2 间接依赖 npm
object-copy 0.1.0 间接依赖 npm
num2fraction 1.2.2 间接依赖 npm
urix 0.1.0 间接依赖 npm
parse-json 2.2.0 间接依赖 npm
lru-cache 2.7.3 间接依赖 npm
binary-extensions 1.8.0 间接依赖 npm
strip-bom 1.0.0 间接依赖 npm
css-selector-tokenizer 0.6.0 间接依赖 npm
collection-visit 1.0.0 间接依赖 npm
path-browserify 0.0.0 间接依赖 npm
events 1.1.1 间接依赖 npm
postcss-discard-empty 2.1.0 间接依赖 npm
use 3.1.0 间接依赖 npm
glob-stream 3.1.18 间接依赖 npm
amdefine 1.0.1 直接依赖 npm
qs 2.2.5 间接依赖 npm
es6-iterator 2.0.1 间接依赖 npm
engine.io 1.8.3 间接依赖 npm
rechoir 0.6.2 间接依赖 npm
camelcase-keys 2.1.0 间接依赖 npm
optimist 0.6.1 间接依赖 npm
caniuse-db 1.0.30000637 间接依赖 npm
interpret 1.1.0 间接依赖 npm
filesize 2.0.4 间接依赖 npm
css-color-names 0.0.4 间接依赖 npm
base 0.11.2 间接依赖 npm
esutils 2.0.2 间接依赖 npm
lodash._basefor 3.0.3 间接依赖 npm
async-each 1.0.1 间接依赖 npm
webpack-core 0.6.9 间接依赖 npm
jade 0.26.3 间接依赖 npm
sigmund 1.0.1 直接依赖 npm
lodash.camelcase 3.0.1 间接依赖 npm
postcss-discard-duplicates 2.1.0 间接依赖 npm
exit-hook 1.1.1 间接依赖 npm
currently-unhandled 0.4.1 间接依赖 npm
cookie 0.3.1 间接依赖 npm
isbinaryfile 3.0.2 间接依赖 npm
livereload-js 2.2.2 间接依赖 npm
requires-port 1.0.0 间接依赖 npm
error-ex 1.3.1 间接依赖 npm
bluebird 2.11.0 间接依赖 npm
tildify 1.2.0 间接依赖 npm
after 0.8.2 间接依赖 npm
lodash._reevaluate 3.0.0 间接依赖 npm
blob 0.0.4 间接依赖 npm
q 1.4.1 间接依赖 npm
to-arraybuffer 1.0.1 间接依赖 npm
is-relative 1.0.0 间接依赖 npm
static-extend 0.1.2 间接依赖 npm
sax 1.2.2 间接依赖 npm
json5 0.5.1 间接依赖 npm
xtend 4.0.1 间接依赖 npm
core-util-is 1.0.2 间接依赖 npm
process 0.11.9 间接依赖 npm
semver 4.3.6 间接依赖 npm
is-buffer 1.1.5 间接依赖 npm
is-primitive 2.0.0 间接依赖 npm
socket.io 1.7.3 间接依赖 npm
window-size 0.1.0 间接依赖 npm
pascalcase 0.1.1 间接依赖 npm
extract-text-webpack-plugin 1.0.1 直接依赖 npm
is-descriptor 0.1.6 间接依赖 npm
object.pick 1.3.0 间接依赖 npm
gulplog 1.0.0 间接依赖 npm
engine.io-client 1.8.3 间接依赖 npm
string_decoder 0.10.31 间接依赖 npm
lodash._createcache 3.1.2 间接依赖 npm
uniqid 4.1.1 间接依赖 npm
finalhandler 1.0.0 间接依赖 npm
gulp-uglify 1.5.4 直接依赖 npm
lodash.template 3.6.2 间接依赖 npm
es6-symbol 3.1.1 间接依赖 npm
vendors 1.0.1 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
diff 1.4.0 间接依赖 npm
parseuri 0.0.5 间接依赖 npm
object-keys 0.4.0 直接依赖 npm
postcss-colormin 2.2.2 间接依赖 npm
backo2 1.0.2 间接依赖 npm
cssnano 3.10.0 间接依赖 npm
lodash.restparam 3.6.1 间接依赖 npm
buffer 4.9.1 间接依赖 npm
lodash._isiterateecall 3.0.9 间接依赖 npm
restore-cursor 1.0.1 间接依赖 npm
tryit 1.0.3 间接依赖 npm
wordwrap 0.0.3 间接依赖 npm
deap 1.0.0 间接依赖 npm
multipipe 0.1.2 间接依赖 npm
utils-merge 1.0.0 间接依赖 npm
http-errors 1.3.1 间接依赖 npm
glogg 1.0.0 间接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
readable-stream 2.2.6 间接依赖 npm
align-text 0.1.4 间接依赖 npm
generate-object-property 1.2.0 间接依赖 npm
crypto-browserify 3.3.0 间接依赖 npm
set-value 2.0.0 间接依赖 npm
lodash._arraycopy 3.0.0 间接依赖 npm
esprima 2.7.3 间接依赖 npm
spdx-correct 1.0.2 间接依赖 npm
postcss-merge-rules 2.1.2 间接依赖 npm
builtin-status-codes 3.0.0 间接依赖 npm
esrecurse 4.1.0 间接依赖 npm
lodash.keys 3.1.2 间接依赖 npm
minimist 0.0.8 间接依赖 npm
archy 1.0.0 间接依赖 npm
estraverse-fb 1.3.1 间接依赖 npm
once 1.4.0 间接依赖 npm
custom-event 1.0.1 间接依赖 npm
postcss-minify-selectors 2.1.1 间接依赖 npm
has-gulplog 0.1.0 间接依赖 npm
through-gulp 0.5.0 直接依赖 npm
flagged-respawn 1.0.0 间接依赖 npm
union-value 1.0.0 间接依赖 npm
is-plain-obj 1.1.0 间接依赖 npm
vm-browserify 0.0.4 间接依赖 npm
is-extendable 0.1.1 间接依赖 npm
uglify-js 2.8.13 间接依赖 npm
bytes 2.2.0 间接依赖 npm
pbkdf2-compat 2.0.1 间接依赖 npm
object.omit 2.0.1 间接依赖 npm
anymatch 1.3.0 间接依赖 npm
lodash.toplainobject 3.0.0 间接依赖 npm
write 0.2.1 间接依赖 npm
on-finished 2.3.0 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
regjsparser 0.1.5 间接依赖 npm
strip-ansi 3.0.1 间接依赖 npm
postcss-message-helpers 2.0.0 间接依赖 npm
fs 0.0.2 直接依赖 npm
lodash._isnative 2.4.1 直接依赖 npm
resolve 1.3.2 间接依赖 npm
istanbul 0.4.5 间接依赖 npm
graceful-fs 4.1.11 间接依赖 npm
is-path-inside 1.0.0 间接依赖 npm
assert 1.4.1 间接依赖 npm
postcss-merge-longhand 2.0.2 间接依赖 npm
lodash._shimkeys 2.4.1 直接依赖 npm
find-index 0.1.1 间接依赖 npm
accepts 1.3.3 间接依赖 npm
color 0.11.4 间接依赖 npm
growl 1.9.2 间接依赖 npm
setimmediate 1.0.5 间接依赖 npm
dateformat 2.0.0 间接依赖 npm
extglob 0.3.2 间接依赖 npm
arr-diff 2.0.0 间接依赖 npm
array-unique 0.2.1 间接依赖 npm
get-value 2.0.6 间接依赖 npm
webpack-sources 0.1.5 间接依赖 npm
globby 5.0.0 间接依赖 npm
cliui 2.1.0 间接依赖 npm
ansi-styles 2.2.1 间接依赖 npm
path-exists 2.1.0 间接依赖 npm
isexe 1.1.2 间接依赖 npm
big.js 3.1.3 间接依赖 npm
lodash._cacheindexof 3.0.2 间接依赖 npm
spdx-expression-parse 1.0.4 间接依赖 npm
postcss-reduce-idents 2.4.0 间接依赖 npm
mime 1.3.4 间接依赖 npm
nan 2.5.1 间接依赖 npm
mute-stream 0.0.5 间接依赖 npm
browserify-aes 0.4.0 间接依赖 npm
postcss-modules-local-by-default 1.1.1 间接依赖 npm
engine.io-parser 1.3.2 间接依赖 npm
karma-mocha 0.2.2 直接依赖 npm
user-home 2.0.0 间接依赖 npm
js-yaml 3.7.0 间接依赖 npm
source-map-resolve 0.5.2 间接依赖 npm
regexpu-core 1.0.0 间接依赖 npm
reduce-css-calc 1.3.0 间接依赖 npm
https-browserify 0.0.1 间接依赖 npm
lodash.isplainobject 3.2.0 间接依赖 npm
os-homedir 1.0.2 间接依赖 npm
fsevents 1.1.1 间接依赖 npm
constants-browserify 1.0.0 间接依赖 npm
vinyl-fs 0.3.14 间接依赖 npm
is-glob 2.0.1 间接依赖 npm
ultron 1.0.2 间接依赖 npm
to-array 0.1.4 间接依赖 npm
ini 1.3.4 间接依赖 npm
ret 0.1.15 间接依赖 npm
figures 1.7.0 间接依赖 npm
micromatch 2.3.11 间接依赖 npm
jsesc 0.5.0 间接依赖 npm
lodash.defaults 2.4.1 直接依赖 npm
run-async 0.1.0 间接依赖 npm
has-cors 1.1.0 间接依赖 npm
isobject 2.1.0 间接依赖 npm
useragent 2.1.12 间接依赖 npm
map-obj 1.0.1 间接依赖 npm
fined 1.1.0 间接依赖 npm
body-parser 1.14.2 间接依赖 npm
which 1.2.12 间接依赖 npm
minimatch 3.0.3 间接依赖 npm
braces 1.8.5 间接依赖 npm
for-in 1.0.2 间接依赖 npm
websocket-driver 0.6.5 间接依赖 npm
end-of-stream 0.1.5 间接依赖 npm
lodash._reunescapedhtml 2.4.1 直接依赖 npm
postcss-minify-font-values 1.0.5 间接依赖 npm
tmp 0.0.31 间接依赖 npm
extend 3.0.0 间接依赖 npm
globals 8.18.0 间接依赖 npm
object-component 0.0.3 间接依赖 npm
component-bind 1.0.0 间接依赖 npm
underscore 1.8.3 间接依赖 npm
regex-not 1.0.2 间接依赖 npm
lodash.memoize 4.1.2 间接依赖 npm
path-parse 1.0.5 间接依赖 npm
posix-character-classes 0.1.1 直接依赖 npm
repeating 2.0.1 间接依赖 npm
unique-stream 1.0.0 间接依赖 npm
colors 1.1.2 间接依赖 npm
ms 0.7.2 间接依赖 npm
lodash._escapehtmlchar 2.4.1 直接依赖 npm
loader-utils 0.2.17 间接依赖 npm
split 0.3.3 间接依赖 npm
argparse 1.0.9 间接依赖 npm
glob2base 0.0.12 间接依赖 npm
postcss-minify-params 1.2.2 间接依赖 npm
mkdirp 0.5.1 间接依赖 npm
color-string 0.3.0 间接依赖 npm
debug 2.6.3 间接依赖 npm
lodash.escape 3.2.0 间接依赖 npm
process-nextick-args 1.0.7 间接依赖 npm
karma-chrome-launcher 0.2.3 直接依赖 npm
preserve 0.2.0 间接依赖 npm
safe-regex 1.1.0 间接依赖 npm
pinkie 2.0.4 间接依赖 npm
querystring-es3 0.2.1 间接依赖 npm
postcss-minify-gradients 1.0.5 间接依赖 npm
postcss-modules-extract-imports 1.0.1 间接依赖 npm
ripemd160 0.2.0 间接依赖 npm
node-libs-browser 0.7.0 间接依赖 npm
global-prefix 0.1.5 间接依赖 npm
indexes-of 1.0.1 间接依赖 npm
center-align 0.1.3 间接依赖 npm
is-dotfile 1.0.2 间接依赖 npm
lodash._basedifference 3.0.3 间接依赖 npm
abbrev 1.0.9 间接依赖 npm
json-stable-stringify 1.0.1 间接依赖 npm
signal-exit 3.0.2 间接依赖 npm
websocket-extensions 0.1.1 间接依赖 npm
readline2 1.0.1 间接依赖 npm
escodegen 1.8.1 间接依赖 npm
lodash._arrayeach 3.0.0 间接依赖 npm
lodash.isarguments 3.1.0 间接依赖 npm
js-base64 2.1.9 间接依赖 npm
postcss-modules-scope 1.0.2 间接依赖 npm
to-iso-string 0.0.2 间接依赖 npm
to-regex 3.0.2 间接依赖 npm
wtf-8 1.0.0 间接依赖 npm
void-elements 2.0.1 间接依赖 npm
inquirer 0.11.4 间接依赖 npm
parse-filepath 1.0.2 间接依赖 npm
fastparse 1.1.1 间接依赖 npm
filename-regex 2.0.0 间接依赖 npm
text-table 0.2.0 间接依赖 npm
lodash.clonedeep 3.0.2 间接依赖 npm
flat-cache 1.2.2 间接依赖 npm
babel-code-frame 6.22.0 间接依赖 npm
lodash._baseclone 3.3.0 间接依赖 npm
postcss-modules-values 1.2.2 间接依赖 npm
onetime 1.1.0 间接依赖 npm
sort-keys 1.1.2 间接依赖 npm
concat-stream 1.6.0 间接依赖 npm
through2 2.0.3 间接依赖 npm
encodeurl 1.0.1 间接依赖 npm
array-uniq 1.0.3 间接依赖 npm
parse-glob 3.0.4 间接依赖 npm
lodash._reescape 3.0.0 间接依赖 npm
through 2.3.8 间接依赖 npm
is-fullwidth-code-point 1.0.0 间接依赖 npm
lodash.values 2.4.1 直接依赖 npm
path-type 1.1.0 间接依赖 npm
isarray 1.0.0 间接依赖 npm
is-property 1.0.2 间接依赖 npm
component-inherit 0.0.3 间接依赖 npm
ent 2.2.0 间接依赖 npm
glob 5.0.15 间接依赖 npm
expand-tilde 1.2.2 间接依赖 npm
object.defaults 1.1.0 间接依赖 npm
sparkles 1.0.0 间接依赖 npm
redent 1.0.0 间接依赖 npm
callsite 1.0.0 间接依赖 npm
expand-braces 0.1.2 间接依赖 npm
lodash._basevalues 3.0.0 间接依赖 npm
cli-cursor 1.0.2 间接依赖 npm
content-type 1.0.2 间接依赖 npm
reduce-function-call 1.0.2 间接依赖 npm
escope 3.6.0 间接依赖 npm
jsonpointer 4.0.1 间接依赖 npm
lodash.isarray 3.0.4 间接依赖 npm
is-windows 0.2.0 间接依赖 npm
base64-arraybuffer 0.1.5 间接依赖 npm
uniqs 2.0.0 间接依赖 npm
electron-to-chromium 1.2.7 间接依赖 npm
gulp-load-plugins 1.5.0 直接依赖 npm
make-iterator 1.0.1 间接依赖 npm
object-visit 1.0.1 间接依赖 npm
chokidar 1.6.1 间接依赖 npm
postcss 5.2.16 间接依赖 npm
statuses 1.3.1 间接依赖 npm
repeat-string 1.6.1 间接依赖 npm
is-absolute-url 2.1.0 间接依赖 npm
domain-browser 1.1.7 间接依赖 npm
time-stamp 1.0.1 间接依赖 npm
findup-sync 0.4.3 间接依赖 npm
mime-types 2.1.14 间接依赖 npm
lodash._getnative 3.9.1 间接依赖 npm
arr-flatten 1.0.1 间接依赖 npm
browserslist 1.7.6 间接依赖 npm
strict-uri-encode 1.1.0 间接依赖 npm
js-tokens 3.0.1 间接依赖 npm
right-align 0.1.3 间接依赖 npm
snapdragon 0.8.2 间接依赖 npm
gulp-cssmin 0.1.7 直接依赖 npm
normalize-range 0.1.2 间接依赖 npm
is-accessor-descriptor 0.1.6 间接依赖 npm
lodash.keysin 3.0.8 间接依赖 npm
html-comment-regex 1.1.1 间接依赖 npm
lodash._basetostring 3.0.1 间接依赖 npm
csso 2.3.2 间接依赖 npm
lodash._escapestringchar 2.4.1 直接依赖 npm
has-value 1.0.0 间接依赖 npm
is-extglob 1.0.0 间接依赖 npm
postcss-unique-selectors 2.0.2 间接依赖 npm
from 0.1.7 间接依赖 npm
string-width 1.0.2 间接依赖 npm
require-dir 0.3.2 直接依赖 npm
array-each 1.0.1 间接依赖 npm
enhanced-resolve 0.9.1 间接依赖 npm
prelude-ls 1.1.2 间接依赖 npm
first-chunk-stream 1.0.0 间接依赖 npm
event-stream 3.3.4 间接依赖 npm
liftoff 2.5.0 间接依赖 npm
tty-browserify 0.0.0 间接依赖 npm
file-entry-cache 1.3.1 间接依赖 npm
lodash.istypedarray 3.0.6 间接依赖 npm
is-equal-shallow 0.1.3 间接依赖 npm
macaddress 0.2.8 间接依赖 npm
clean-css 3.4.25 间接依赖 npm
cssesc 0.1.0 间接依赖 npm
base64id 1.0.0 间接依赖 npm
parseqs 0.0.5 间接依赖 npm
es5-ext 0.10.14 间接依赖 npm
yargs 3.10.0 间接依赖 npm
math-expression-evaluator 1.2.16 间接依赖 npm
postcss-normalize-charset 1.1.1 间接依赖 npm
optionator 0.6.0 间接依赖 npm
estraverse 4.2.0 间接依赖 npm
uuid 1.4.2 间接依赖 npm
code-point-at 1.1.0 间接依赖 npm
normalize-package-data 2.3.6 间接依赖 npm
clap 1.1.3 间接依赖 npm
media-typer 0.3.0 间接依赖 npm
is-plain-object 2.0.4 间接依赖 npm
lodash._createassigner 3.1.1 间接依赖 npm
postcss-discard-unused 2.2.3 间接依赖 npm
strip-json-comments 1.0.4 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
log4js 0.6.38 间接依赖 npm
event-emitter 0.3.5 间接依赖 npm
watchpack 0.2.9 间接依赖 npm
balanced-match 0.4.2 间接依赖 npm
arraybuffer.slice 0.0.6 间接依赖 npm
caniuse-api 1.5.3 间接依赖 npm
mocha 2.5.3 直接依赖 npm
global-modules 0.2.3 间接依赖 npm
punycode 1.4.1 间接依赖 npm
faye-websocket 0.7.3 间接依赖 npm
whet.extend 0.9.9 间接依赖 npm
array-slice 0.2.3 间接依赖 npm
replace-ext 0.0.1 间接依赖 npm
lodash._createcompounder 3.0.0 间接依赖 npm
orchestrator 0.3.8 间接依赖 npm
beeper 1.1.1 间接依赖 npm
mixin-deep 1.3.1 间接依赖 npm
tapable 0.1.10 间接依赖 npm
del 2.2.2 间接依赖 npm
regex-cache 0.4.3 间接依赖 npm
fast-levenshtein 1.0.7 间接依赖 npm
vinyl 0.5.3 间接依赖 npm
detect-file 0.1.0 间接依赖 npm
(0)
上一篇 2023年10月23日
下一篇 2023年10月23日

相关推荐

  • creeperyang/koa-xml-body 软件分析报告

    基础信息 项目名称:creeperyang/koa-xml-body 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721111797607501824/1729254400395792384 此报告由Murph…

    软件分析 2023年11月28日
    0
  • alexruperez/UIUserNotificationSettings-Extension 软件分析报告

    基础信息 项目名称:alexruperez/UIUserNotificationSettings-Extension 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1715643104190316544/17156…

    软件分析 2023年10月23日
    0
  • gringoireDM/FBLikeLayout 软件分析报告

    基础信息 项目名称:gringoireDM/FBLikeLayout 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718372326080905216/1718372326332563456 此报告由Murph…

    软件分析 2023年10月29日
    0
  • fluentmigrator/fluentmigrator 软件分析报告

    基础信息 项目名称:fluentmigrator/fluentmigrator 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721203331409379328/1730950447218778112 此报告由…

    软件分析 2023年12月2日
    0
  • izqui/Taylor 软件分析报告

    基础信息 项目名称:izqui/Taylor 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718927566945517568/1718927567394308096 此报告由Murphysec提供 漏洞列表 …

    软件分析 2023年10月30日
    0